Bug 167775 - Altering a task always gives "Validation error: Completed date is wrong"
Altering a task always gives "Validation error: Completed date is wrong"
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2005-09-07 19:46 EDT by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-02 13:10:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-09-07 19:46:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Even the tinyest change (e.g. to the task text only) causes this error, so it is impossible to change a task in any way.

Only exit is "Discard changes". 

Trying all sorts of combinations of "NONE" or various complete dates or task statuses does not matter at all.

The tasks used to work fine, but suddenly it stopped working. I cannot point to any specific thing that did this, except that I crossed midnight a fwe minutes before. Restarting evolution does not help.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Double click a to-do task.
2. Make any change
3. Problem appears

Actual Results:  A box saying "Validation error: Completed date is wrong"

Only exit is "Cancel" and "Discard changes"

Expected Results:  The task should have been updated

Additional info:

The bug makes the todo-function useless.
Comment 1 Need Real Name 2005-09-07 19:49:17 EDT
Version-Release number:

(I forgot to put it in)
Comment 2 Need Real Name 2005-09-08 18:08:29 EDT
Update on reproducibility:

When I rebooted the machine today, the bug was gone. I will update this when/IF
IT occurs again.
Comment 3 Zhang Zhuo 2005-10-07 12:40:30 EDT
But, I can't fix it anyway. It's realy a problem!
I try it in both en_US.UTF-8 and zh_CN.UTF-8 location.

My version details:
$ rpm -qa|grep evolution

Is there anything wrong?
Comment 4 Dave Malcolm 2007-01-08 12:25:59 EST
Thanks for filing this bug report, and for the followup.  I'm sorry that it has
gone for so long without activity; it was incorrectly assigned to me by bugzilla.

It appears that the problem went away, for unknown reasons.  Did the problem
ever come back?

Reassigning to mbarnes; once again, my apologies for my lack of activity on this
Comment 5 Matěj Cepl 2007-08-31 11:21:24 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 6 Matthew Barnes 2007-10-02 13:10:08 EDT

Note You need to log in before you can comment on or make changes to this bug.